InfoConnect Desktop 17 Supported Platforms

  • 7024881
  • 22-Oct-2020
  • 02-Nov-2020

Environment

InfoConnect Desktop for Unisys version 17.0 or higher
InfoConnect Desktop Pro for Unisys version 17.0 or higher
InfoConnect Desktop for Airlines version 17.0 or higher
InfoConnect Desktop Pro for Airlines version 17.0 or higher
InfoConnect Airlines Gateway NG version 17.1
InfoConnect Desktop for Airlines PTRPlus version 17.1

Situation

This technical note lists the supported operating systems and virtualization platforms for InfoConnect Desktop products.

Resolution

InfoConnect Desktop is supported on the following operating systems:
 

Microsoft Windows 10 Pro 64-bit

Microsoft Windows 10 Enterprise 64-bit

Microsoft Windows 8.1 Pro, 64-bit

Microsoft Windows Server 2019 with Remote Desktop Services (for multi-user environments)

Microsoft Windows Server 2016 with Remote Desktop Services (for multi-user environments)

Microsoft Windows Server 2012 R1 and R2 with Remote Desktop Services (for multi-user environments)

Notes:

  • Microsoft Office 2013 or higher must be installed to use the Office integration features in InfoConnect Desktop.
  • InfoConnect Desktop requires .NET 4.7.1 Runtime. The InfoConnect Desktop setup.exe installer automatically installs the .NET Framework if necessary. If you install using msiexec.exe, you need to install this prerequisite separately if it is not already on the system. To install the .NET framework, run the executable file in Prerequisites\DotNet471 in the package files.
  • InfoConnect Airlines Gateway NG is a server-based product and as such is supported only on the Windows Server operating systems listed.

Windows 10 “Windows as a Service” Support Statement

InfoConnect Desktop products are supported on the following editions of Windows 10: Windows 10 Pro, and Windows 10 Enterprise. InfoConnect Desktop products are supported on the in-market supported servicing branches (https://technet.microsoft.com/en-us/windows/release-info.aspx) of Windows 10 including: Current Branch, Current Branch for Business, and Long-Term Servicing branches.

Supported Virtualization Products

InfoConnect Desktop is supported on the following virtualization platforms:

  • Citrix XenApp/Presentation Server
  • Microsoft Application Virtualization (App-V)
  • VMware Workstation/Player
  • VMware ThinApp

Note the following:

  • TouchUx User Interface Mode is supported with Citrix 6.5 or higher.
  • InfoConnect is supported only on Citrix software versions that are currently supported by Citrix.

Microsoft Visual Basic for Applications (VBA)

InfoConnect Desktop versions 17.0 and greater include Microsoft VBA 7.1 for macro support. If you run setup.exe and select the VBA feature to install, VBA is automatically installed.

If you install directly with MSI or a deployment tool, and want to use this feature, you must install it directly. After unpacking the downloaded product file, use the VBA core and language-specific *.msi packages in the Prerequisites subfolder.

Support for 64-bit Windows Only

Where listed in the Supported Operating Systems table, only 64-bit operating systems are supported by the 32-bit InfoConnect Desktop product. The 64-bit .NET 4.7.1 Framework Runtime is used on Windows 64-bit operating systems, which also supports native 64-bit applications calling the InfoConnect .NET API.  On Microsoft Windows servers, the .NET Framework must be manually installed if version 4.7.1 or later is not installed.

InfoConnect Desktop 17.0

  • System Requirements
Processor:
2 GHz, 64-bit (1.5 GHz or higher multi-core recommended)
Memory (RAM):
2 GB (4 GB recommended)

Additional Information

For version 16, see KB 7021850.